<ngx-loading [show]="loading" [config]="{
  backdropBackgroundColour: 'rgba(0, 0, 0, 0.3)',
  primaryColour: '#ffffff', secondaryColour: '#ffffff', tertiaryColour: '#ffffff', fullScreenBackdrop: true }"></ngx-loading>

<div class="card">
  <div class="card-header">
    <div class="page-header-title">
      <h4>List Monitoring Alat Instrumen Medis</h4>
    </div>
  </div>
  <div class="card-block">
    <form [formGroup]="formFilter" (ngSubmit)="onSubmit()">
      <div class="dt-responsive dt-bootstrap4 row p-20">
        <div class="col-md-12 col-xl-12 form-group">
          <h5>Filter Data Berdasrkan Tanggal</h5>
        </div>
        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label">Dari Tanggal:</label>
          <div class="input-group">
            <input class="form-control" placeholder="yyyy-mm-dd" [(ngModel)]="modelPopup1" ngbDatepicker #d1="ngbDatepicker"
              id="dariTanggal" formControlName="dariTanggal" readonly="true" (ngModelChange)="onSelectDariTanggal($event)">
            <div class="input-group-addon bg-default" (click)="d1.toggle()">
              <span class="icofont icofont-ui-calendar"></span>
            </div>
          </div>
          <span class="messages text-danger" *ngIf="!formFilter.get('dariTanggal').valid && formFilter.get('dariTanggal').touched"
            style="font-size: 10px">*
            Mohon Diisi</span>
        </div>

        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label">Sampai Tanggal:</label>
          <div class="input-group">
            <input class="form-control" placeholder="yyyy-mm-dd" [(ngModel)]="modelPopup2" ngbDatepicker #d2="ngbDatepicker"
              id="sampaiTanggal" formControlName="sampaiTanggal" readonly="true" (ngModelChange)="onSelectSampaiTanggal($event)">
            <div class="input-group-addon bg-default" (click)="d2.toggle()">
              <span class="icofont icofont-ui-calendar"></span>
            </div>
          </div>
          <span class="messages text-danger" *ngIf="!formFilter.get('sampaiTanggal').valid && formFilter.get('sampaiTanggal').touched"
            style="font-size: 10px">*
            Mohon Diisi</span>
        </div>

        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label">&nbsp;</label>
          <button type="submit" class="btn btn-success btn-sm btn-block text-center">
            <i class="icofont icofont-ui-search"></i>Cari
          </button>
        </div>
      </div>
    </form>
    <div class="dt-responsive dt-bootstrap4 row p-20">
      <div class="col-md-12 col-xl-9 form-group"></div>
      <div class="col-md-12 col-xl-3 form-group text-right">
        <button type="button" [routerLink]="['/tambahmonitoringAIM']" class="btn btn-primary btn-md text-center">
          <i class="icofont icofont-ui-add"></i> Tambah
        </button>
      </div>
      <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
        <div>
          <label class="label-control">Tampilkan
            <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
              <option [ngValue]="10">10</option>
              <option [ngValue]="25">25</option>
              <option [ngValue]="50">50</option>
              <option [ngValue]="100">100</option>
            </select>
          </label>
        </div>
      </div>
      <!-- <div class="col-xs-12 col-sm-12 col-md-6">
        <div class="text-right">
          <label>Cari:
            <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
          </label>
        </div>
      </div> -->
      <div class="col-xs-12 col-sm-12 col-md-6">
        <div class="text-right">
          <i class="fa fa-file-excel-o"></i><a [routerLink]="['/listmonitoringAIM']" (click)="ExportExcel()">
            Export to .xls</a>
        </div>
      </div>
      <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
        <table dt-options="dtOptions" class="table table-striped table-bordered table-responsive full-data-table text-center pull-center"
          [mfData]="data | dataFilterMon : filterQuery" #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy"
          [(mfSortOrder)]="sortOrder">
          <thead>
            <tr>
              <!-- <th width="10%">
                <mfDefaultSorter by="idMonitoringAim">No</mfDefaultSorter>
              </th> -->
              <th width="10%">
                <mfDefaultSorter by="kodeAlatInstrumenMedis">Kode Alat</mfDefaultSorter>
              </th>
              <th width="40%">
                <mfDefaultSorter by="namaAlatInstrumenMedis">Nama Alat</mfDefaultSorter>
              </th>
              <th width="10%">
                <mfDefaultSorter by="tanggalMonitoring">Tanggal</mfDefaultSorter>
              </th>
              <th width="10%">
                <mfDefaultSorter by="pagi">P</mfDefaultSorter>
              </th>
              <th width="10%">
                <mfDefaultSorter by="siang">S</mfDefaultSorter>
              </th>
              <th width="10%">
                <mfDefaultSorter by="malam">M</mfDefaultSorter>
              </th>
            </tr>
          </thead>
          <tbody *ngIf="data!=null && data!=''">
            <tr *ngFor="let item of mf.data">
              <!-- <td>{{item.idMonitoringAim}}</td> -->
              <td>{{item.kodeAlatInstrumenMedis}}</td>
              <td>{{item.namaAlatInstrumenMedis}}</td>
              <td>{{item.tanggalMonitoring | convertDate}}</td>
              <!-- Pagi -->
              <td class="text-center">
                <div class="checkbox-fade fade-in-primary">
                  <label>
                    <input type="checkbox" *ngIf="item.pagi == 'Ya'" checked="checked" disabled>
                    <input type="checkbox" *ngIf="item.pagi == 'Tidak'" disabled>
                    <span class="cr">
                      <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                    </span>
                  </label>
                </div>
              </td>
              <!-- Siang -->
              <td class="text-center">
                <div class="checkbox-fade fade-in-primary">
                  <label>
                    <input type="checkbox" *ngIf="item.siang == 'Ya'" checked="checked" disabled>
                    <input type="checkbox" *ngIf="item.siang == 'Tidak'" disabled>
                    <span class="cr">
                      <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                    </span>
                  </label>
                </div>
              </td>
              <!-- Malam -->
              <td class="text-center">
                <div class="checkbox-fade fade-in-primary">
                  <label>
                    <input type="checkbox" *ngIf="item.malam == 'Ya'" checked="checked" disabled>
                    <input type="checkbox" *ngIf="item.malam == 'Tidak'" disabled>
                    <span class="cr">
                      <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                    </span>
                  </label>
                </div>
              </td>
            </tr>
          </tbody>
          <tfoot>
            <tr *ngIf="data!=null">
              <td colspan="10">
                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
              </td>
            </tr>
            <tr *ngIf="data==null">
              <td colspan="10" class="text-center">Memuat data...</td>
            </tr>
            <tr *ngIf="data==''">
              <td colspan="10" class="text-center">Data kosong</td>
            </tr>
          </tfoot>
        </table>
      </div>
    </div>
  </div>
</div>